summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJens Axboe <axboe@kernel.dk>2019-11-20 19:19:23 -0700
committerJens Axboe <axboe@kernel.dk>2019-11-20 19:19:23 -0700
commit4db698dcf2b6c4fd28cab691fca446984ac0ddbb (patch)
treea81f969aa61fd31d13b1342bd112791f9f719aac
parent3d884919df0bd7421721d1465ea3a785ef5ac470 (diff)
parentbea6a7cb6200074219ce4e21916f818be5620355 (diff)
downloadliburing-4db698dcf2b6c4fd28cab691fca446984ac0ddbb.tar.gz
liburing-4db698dcf2b6c4fd28cab691fca446984ac0ddbb.tar.bz2
Merge branch 'debian_build' of https://github.com/changchengx/liburing
* 'debian_build' of https://github.com/changchengx/liburing: script to build liburing into debian package debian rules to package liburing
-rw-r--r--debian/README.Debian7
-rw-r--r--debian/changelog8
-rw-r--r--debian/compat1
-rw-r--r--debian/control19
-rw-r--r--debian/copyright28
-rw-r--r--debian/patches/series1
-rwxr-xr-xdebian/rules16
-rw-r--r--debian/source/format1
-rw-r--r--debian/source/local-options2
-rw-r--r--debian/source/options1
-rw-r--r--debian/watch2
-rwxr-xr-xmake-debs.sh53
12 files changed, 139 insertions, 0 deletions
diff --git a/debian/README.Debian b/debian/README.Debian
new file mode 100644
index 0000000..15b9fd0
--- /dev/null
+++ b/debian/README.Debian
@@ -0,0 +1,7 @@
+liburing for Debian
+
+The newest Linux IO interface i.e. io_uring, need
+userspace library to support it. This package
+liburing is the library for io_uring.
+
+ -- Liu Changcheng <changcheng.liu@aliyun.com> Thu, 14 Nov 2019 21:35:39 +0800
diff --git a/debian/changelog b/debian/changelog
new file mode 100644
index 0000000..dfca8d2
--- /dev/null
+++ b/debian/changelog
@@ -0,0 +1,8 @@
+liburing (0.2-1ubuntu1) stable; urgency=low
+
+ * Initial release.
+ * commit 4bce856d43ab1f9a64477aa5a8f9f02f53e64b74
+ * Author: Jens Axboe <axboe@kernel.dk>
+ * Date: Mon Nov 11 16:00:58 2019 -0700
+
+ -- Liu Changcheng <changcheng.liu@aliyun.com> Fri, 15 Nov 2019 00:06:46 +0800
diff --git a/debian/compat b/debian/compat
new file mode 100644
index 0000000..ec63514
--- /dev/null
+++ b/debian/compat
@@ -0,0 +1 @@
+9
diff --git a/debian/control b/debian/control
new file mode 100644
index 0000000..391cd68
--- /dev/null
+++ b/debian/control
@@ -0,0 +1,19 @@
+Source: liburing
+Section: libs
+Priority: optional
+Maintainer: Liu Changcheng <changcheng.liu@intel.com>
+Build-Depends: debhelper (>=9)
+Standards-Version: 4.1.4
+Homepage: https://git.kernel.dk/liburing
+Vcs-Git: https://git.kernel.dk/liburing
+Vcs-Browser: https://git.kernel.dk/liburing
+
+Package: liburing1
+Architecture: linux-any
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: userspace library for using io_uring
+ io_uring is kernel feature to improve development
+ The newese Linux IO interface, io_uring could improve
+ system performance a lot. liburing is the userpace
+ library to use io_uring feature.
diff --git a/debian/copyright b/debian/copyright
new file mode 100644
index 0000000..5236ba3
--- /dev/null
+++ b/debian/copyright
@@ -0,0 +1,28 @@
+Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
+Upstream-Name: liburing
+Source: https://git.kernel.dk/cgit/liburing/
+
+Files: *
+Copyright: 2019 Jens Axboe <axboe@kernel.dk>
+License: GPL-2+
+
+Files: debian/*
+Copyright: 2019 Changcheng Liu <changcheng.liu@aliyun.com>
+License: GPL-2+
+
+License: GPL-2+
+ This package is free software; you can redistribute it and/or modify
+ it under the terms of the GNU General Public License as published by
+ the Free Software Foundation; either version 2 of the License, or
+ (at your option) any later version.
+ .
+ This package is distributed in the hope that it will be useful,
+ but WITHOUT ANY WARRANTY; without even the implied warranty of
+ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+ GNU General Public License for more details.
+ .
+ You should have received a copy of the GNU General Public License
+ along with this program. If not, see <https://www.gnu.org/licenses/>
+ .
+ On Debian systems, the complete text of the GNU General
+ Public License version 2 can be found in "/usr/share/common-licenses/GPL-2".
diff --git a/debian/patches/series b/debian/patches/series
new file mode 100644
index 0000000..4a97dfa
--- /dev/null
+++ b/debian/patches/series
@@ -0,0 +1 @@
+# You must remove unused comment lines for the released package.
diff --git a/debian/rules b/debian/rules
new file mode 100755
index 0000000..fbc3942
--- /dev/null
+++ b/debian/rules
@@ -0,0 +1,16 @@
+#!/usr/bin/make -f
+# You must remove unused comment lines for the released package.
+export DH_VERBOSE = 1
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+#export DEB_CFLAGS_MAINT_APPEND = -Wall -pedantic
+#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
+
+%:
+ dh $@
+
+override_dh_auto_configure:
+ ./configure --mandir=/usr/share/man
+ rm -rf config.log
+
+override_dh_strip:
+ dh_strip --dbgsym-migration=liburing-dev
diff --git a/debian/source/format b/debian/source/format
new file mode 100644
index 0000000..163aaf8
--- /dev/null
+++ b/debian/source/format
@@ -0,0 +1 @@
+3.0 (quilt)
diff --git a/debian/source/local-options b/debian/source/local-options
new file mode 100644
index 0000000..00131ee
--- /dev/null
+++ b/debian/source/local-options
@@ -0,0 +1,2 @@
+#abort-on-upstream-changes
+#unapply-patches
diff --git a/debian/source/options b/debian/source/options
new file mode 100644
index 0000000..51da836
--- /dev/null
+++ b/debian/source/options
@@ -0,0 +1 @@
+extend-diff-ignore = "(^|/)(config\.log|config-host\.h|config-host\.mak|liburing\.pc)$"
diff --git a/debian/watch b/debian/watch
new file mode 100644
index 0000000..76575dc
--- /dev/null
+++ b/debian/watch
@@ -0,0 +1,2 @@
+# You must remove unused comment lines for the released package.
+version=3
diff --git a/make-debs.sh b/make-debs.sh
new file mode 100755
index 0000000..01d563c
--- /dev/null
+++ b/make-debs.sh
@@ -0,0 +1,53 @@
+#!/usr/bin/env bash
+# Copyright (C) 2019 Liu Changcheng <changcheng.liu@aliyun.com>
+# Author: Liu Changcheng <changcheng.liu@aliyun.com>
+#
+# This program is free software; you can redistribute it and/or
+# modify it under the terms of the GNU General Public License
+# as published by the Free Software Foundation; either version 2
+# of the License, or (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+#
+set -xe
+
+# Create dir for build
+base=${1:-/tmp/release}
+codename=$(lsb_release -sc)
+releasedir=$base/$(lsb_release -si)/liburing
+rm -rf $releasedir
+mkdir -p $releasedir
+
+src_dir=$(readlink -e `basename $0`)
+liburing_dir=$(dirname $src_dir)
+basename=$(basename $liburing_dir)
+dirname=$(dirname $liburing_dir)
+version=$(git describe --match "lib*" | cut -d '-' -f 2)
+outfile="liburing-$version"
+orgfile=$(echo $outfile | tr '-' '_')
+
+# Prepare source code
+cp -arf ${dirname}/${basename} ${releasedir}/${outfile}
+cd ${releasedir}/${outfile}
+git clean -dxf
+
+# Change changelog if it's needed
+cur_ver=`head -l debian/changelog | sed -n -e 's/.* (\(.*\)) .*/\1/p'`
+if [ "$cur_ver" != "$version-1" ]; then
+ dch -D $codename --force-distribution -b -v "$version-1" "new version"
+fi
+
+# Create tar archieve
+cd ../
+tar cvzf ${outfile}.tar.gz ${outfile}
+ln -s ${outfile}.tar.gz ${orgfile}.orig.tar.gz
+
+# Build debian package
+cd -
+debuild